Retrieve Account Details

This endpoint retrieves detailed information for a specific lending account, including borrower details, co-borrowers, balances, and collateral information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Example

GET {{url}}/api/method/emotive_app.lms.payment_processors.api.retrieve_account_details?lending_account=LA-004426

Response Structure

The response returns a single lending account object with comprehensive financial, borrower, and balance information.

The response includes:

  • Lending account core details
  • Borrower, co-borrower, and co-signer information
  • Balance details (Primary Loan, Side Note)
  • Fee breakdowns and due information

Example Response

{
  "message": {
    "name": "LA-004426",
    "company": "Emotive Related Finance Company",
    "company_branch": "Emotive Finance Company - 01",
    "alternate_account_number": "PRCHLOAN",
    "lending_account_status": "Active",
    "active_repo_status": null,
    "stop_payments": 0,
    "stop_payment_accrual": 0,
    "stop_partial_payments": 0,
    "stop_outgoing_communication": 0,
    "stop_interest_accrual": 0,
    "lending_account_total_balance": 14744.99,
    "lending_account_total_ptp": 0.0,
    "lending_account_total_past_due": 12960.26,
    "lending_account_total_actual_due": 12960.26,
    "borrower_first_name": "James Dwels",
    "borrower_last_name": "W",
    "borrower_email_id": "[email protected]",
    "borrower_phone": "5055368077",
    "Primary Loan": [
      {
        "balance_id": "BA-010363",
        "balance_type": "Primary Loan",
        "total_balance": 12821.2,
        "actual_due": 11790.0,
        "term": 11,
        "frequency": "Monthly",
        "maturity_date": "2026-02-14"
      }
    ],
    "Side Note": [
      {
        "balance_id": "BA-010369",
        "balance_type": "Side Note",
        "total_balance": 995.57,
        "actual_due": 911.15,
        "maturity_date": "2029-04-01"
      }
    ]
  }
}

Explanation

Lending Account Core

Includes:

  • Lending account status
  • Active repo status
  • Stop payments and accrual flags
  • Total balance, PTP, past due, and actual due amounts
  • Stock number and collateral summary

Balance Information

Includes:

  • Primary Loan balances
  • Side Note balances

Each balance contains:

  • Total balance
  • Actual due and due amounts
  • Past due information
  • Principal and fee breakdown
  • Maturity and next due dates

Borrowers / Co-Borrowers / Co-Signer

Includes:

  • Borrower personal information
    (name, email, phone, address, DOB, last 4 SSN)
  • Multiple co-borrower details (if applicable)
  • Co-signer information
  • Communication contact details

Collateral

Contains:

  • Vehicle details (Year, Make, Model)
  • Stock number

Example Simplified Response

{
  "accounts": [
    {
      "id": "account_id_1",
      "name": "Account Name 1",
      "status": "active"
    },
    {
      "id": "account_id_2",
      "name": "Account Name 2",
      "status": "inactive"
    }
  ]
}
Path Params
string
required
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!